Contains extended user information.

### Hierarchy

- UserDescriptor

## Index

### Properties

- attributes
- friendlyName
- identity
- notifiable
- online

### Methods

- subscribe

## Properties

### Readonly attributes

attributes: any

Custom attributes of the user.

### Readonly friendlyName

friendlyName: string

Friendly name of the user, null if not set.

### Readonly identity

identity: string

User identity.

### Readonly notifiable

notifiable: boolean

User push notification registration status.

Works only when the reachability functionality is enabled. Refer to Client.reachabilityEnabled.

### Readonly online

online: boolean

Status of the real-time conversation connection of the user.

Works only when the reachability functionality is enabled. Refer to Client.reachabilityEnabled.

## Methods

### subscribe

- subscribe(): Promise<User>

- Get the user object from the descriptor and subscribe to it.

  #### Returns Promise<User>